<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import java.net.URL?>
<?import javafx.scene.control.DatePicker?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.RadioButton?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane id="AnchorPane" fx:id="ajouteventpane" prefHeight="706.0" prefWidth="1108.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="GUI.EvenementAfficherController">
           <stylesheets>
        <URL value="@Stylesheet.css" />
    </stylesheets>
         <children>
            <TableView fx:id="display" layoutX="4.0" layoutY="30.0" onMouseClicked="#Fetch" prefHeight="258.0" prefWidth="532.0" style="-fx-background-color: silver;">
              <columns>
                  <TableColumn fx:id="titre" prefWidth="54.999969482421875" text="Titre" />
                <TableColumn fx:id="date" prefWidth="89.0" text="date début" />
            <TableColumn fx:id="datefin" prefWidth="79.0" text="date fin" />
                  <TableColumn fx:id="typeevent" minWidth="0.0" prefWidth="66.0" text="Type" />
                <TableColumn fx:id="nbplaces" minWidth="0.0" prefWidth="75.0" text="Nbre places" />
            <TableColumn fx:id="lieu" minWidth="6.0" prefWidth="66.0" text="Lieu" />
            <TableColumn fx:id="prix" minWidth="0.0" prefWidth="56.0" text="Prix" />
                  <TableColumn fx:id="description" prefWidth="195.0" text="Description" />
                  <TableColumn fx:id="ColumnIdEvenement" prefWidth="75.0" text="idEvenement" visible="false" />
              </columns>
            </TableView>
            <TextField fx:id="nbplacess" layoutX="688.0" layoutY="190.0" style="-fx-opacity: 0;" />
            <TextField fx:id="titree" layoutX="680.0" layoutY="67.0" prefHeight="39.0" prefWidth="230.0" />
            <Label layoutX="571.0" layoutY="69.0" prefHeight="39.0" prefWidth="76.0" text="Titre :">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font></Label>
            <Label layoutX="478.0" layoutY="208.0">
               <font>
                  <Font size="27.0" />
               </font></Label>
            <DatePicker fx:id="dateEvenement" layoutX="681.0" layoutY="117.0" onAction="#setdatedebut" prefHeight="30.0" prefWidth="230.0" />
            <TextArea fx:id="descriptionn" layoutX="681.0" layoutY="386.0" prefHeight="120.0" prefWidth="230.0" />
            <JFXButton fx:id="Update" buttonType="RAISED" layoutX="662.0" layoutY="526.0" onAction="#modifierEvenements" prefHeight="54.0" prefWidth="120.0" style="-fx-background-color: #ff4f00;" text="Modifier" textFill="WHITE">
               <font>
                  <Font size="14.0" />
               </font></JFXButton>
            <JFXButton fx:id="DELETE" buttonType="RAISED" layoutX="158.0" layoutY="307.0" onAction="#supprimerEvenements" prefHeight="48.0" prefWidth="104.0" ripplerFill="BLACK" style="-fx-background-color: #ff4f00;" text="Supprimer" textFill="WHITE">
               <font>
                  <Font size="14.0" />
               </font></JFXButton>
            <JFXButton fx:id="Image" buttonType="RAISED" layoutX="701.0" layoutY="198.0" onAction="#UploadImage" prefHeight="25.0" prefWidth="116.0" style="-fx-background-color: #ff4f00;" text="Image" textFill="WHITE">
               <font>
                  <Font size="14.0" />
               </font></JFXButton>
            <Label fx:id="alertetitre" layoutX="911.0" layoutY="82.0" text="choisir un titre SVP!!" textFill="#eb0909" visible="false" />
            <Label fx:id="alertetypeevent" layoutX="919.0" layoutY="246.0" text="choisir un type SVP!!" visible="false" />
            <Label fx:id="alertedescription" layoutX="919.0" layoutY="391.0" text="choisir un descriptionSVP!!" visible="false" />
            <Label fx:id="alertedatedebut" layoutX="919.0" layoutY="116.0" text="choisir une date SVP!!" textFill="#ee0303" visible="false" />
            <Label fx:id="datesup" layoutX="914.0" layoutY="136.0" text="choisir une date supérieur" textFill="#e40b0b" visible="false" />
            <TableView fx:id="display1" layoutX="62.0" layoutY="384.0" prefHeight="112.0" prefWidth="434.0">
              <columns>
                <TableColumn fx:id="contenu" prefWidth="433.0" text="avis" />
              </columns>
            </TableView>
      <JFXButton fx:id="retour" buttonType="RAISED" layoutX="-59.0" layoutY="-37.0" onAction="#retourclicked" prefHeight="48.0" prefWidth="107.0" ripplerFill="#f5f0f0" style="-fx-background-color: #ff4f00;" text="Retour" textFill="WHITE">
         <font>
            <Font size="14.0" />
         </font>
      </JFXButton>
      <Label layoutX="558.0" layoutY="113.0" prefHeight="39.0" prefWidth="156.0" text="Date début :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <Label layoutX="572.0" layoutY="196.0" prefHeight="39.0" prefWidth="76.0" text="Image :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <Label layoutX="572.0" layoutY="233.0" prefHeight="39.0" prefWidth="64.0" text="Type :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <Label layoutX="558.0" layoutY="384.0" prefHeight="39.0" prefWidth="120.0" text="Description :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <Label layoutX="586.0" layoutY="20.0" prefHeight="39.0" prefWidth="346.0" text="Consultation des événements " textAlignment="CENTER" textFill="#ff4f00">
         <font>
            <Font name="System Bold" size="24.0" />
         </font>
      </Label>
      <DatePicker fx:id="datefinn" layoutX="681.0" layoutY="159.0" prefHeight="30.0" prefWidth="230.0" />
      <Label layoutX="565.0" layoutY="153.0" prefHeight="39.0" prefWidth="156.0" text="Date fin :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <TextField fx:id="adr" layoutX="680.0" layoutY="316.0" prefHeight="30.0" prefWidth="230.0" />
      <Label layoutX="573.0" layoutY="311.0" prefHeight="39.0" prefWidth="64.0" text="Lieu :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <TextField fx:id="prixx" layoutX="680.0" layoutY="352.0" onAction="#numeriquePrix" prefHeight="30.0" prefWidth="230.0" />
      <Label layoutX="574.0" layoutY="347.0" prefHeight="39.0" prefWidth="64.0" text="Prix :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <TextField fx:id="nbreplace" accessibleRole="CHECK_BOX" layoutX="679.0" layoutY="275.0" onAction="#numerique" prefHeight="30.0" prefWidth="230.0" />
      <Label layoutX="562.0" layoutY="268.0" prefHeight="39.0" prefWidth="116.0" text="Nbre places :">
         <font>
            <Font name="System Bold" size="18.0" />
         </font>
      </Label>
      <Label fx:id="alertedatefin" layoutX="929.0" layoutY="171.0" text="choisir une date SVP!!" textFill="#ee0303" visible="false" />
      <Label fx:id="alertenbreplace" layoutX="921.0" layoutY="282.0" text="choisir  le nbre de place SVP!!" visible="false" />
      <Label fx:id="alertelieu" layoutX="922.0" layoutY="323.0" text="choisir  le lieu  SVP!!" visible="false" />
      <Label fx:id="alerteprix" layoutX="925.0" layoutY="357.0" text="choisir  le prix SVP!!" visible="false" />
      <RadioButton fx:id="culturelle" layoutX="678.0" layoutY="244.0" mnemonicParsing="false" onAction="#changedCulture" text="Culturelle" />
      <RadioButton fx:id="sport" layoutX="787.0" layoutY="246.0" mnemonicParsing="false" onAction="#changedSport" text="Sport" />
      <RadioButton fx:id="aventure" layoutX="890.0" layoutY="246.0" mnemonicParsing="false" onAction="#changedAventure" text="Aventure" />
         </children>
      </AnchorPane>
